import axios from 'axios'

export function useChat() {
  const AK = 'wY7bvMpkWeZbDVq9w3EDvpjU'
  const SK = 'XJwpiJWxs5HXkOtbo6tQrvYPZFJAWdAy'

  const messages = ref([])
  const chatId = ref(null)
  const isLoading = ref(false)

  async function post(data) {
    isLoading.value = true
    const res = await axios.post('/api/ai/rpc/2.0/ai_custom/v1/wenxinworkshop/chat/completions_pro?access_token=' + (await getAccessToken()), {
      messages: [{ role: 'user', content: data.userChatInput }],
      disable_search: false,
      enable_citation: false
    })
    messages.value.push({ role: 'assistant', content: res.data.result.replaceAll('\n', '<br/>') })
    isLoading.value = false
  }

  async function getAccessToken() {
    const res = await axios.post('/api/ai/oauth/2.0/token?grant_type=client_credentials&client_id=' + AK + '&client_secret=' + SK)
    return res.data.access_token
  }

  return { chatId, messages, post, isLoading }
}
